## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSourceEditorPage

    java.lang.Object
      DataSourceEditorPageCore
          org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceEditorPage

public abstract class DataSourceEditorPage
extends DataSourceEditorPageCore

The abstract base class for implementation of a customized ODA data source property page.
An ODA data source UI extension must extend this base class to provide customized property page with page control and related behavior, and implements the `org.eclipse.ui.propertyPages` extension point.

See Also:
  Serialized Form

Constructor Summary
`DataSourceEditorPage()`

Method Summary
`abstract java.util.Properties` `collectCustomProperties(java.util.Properties profileProps)` Update profile's custom properties with values collected in custom page(s).
`java.lang.String` `getOdaDataSourceId()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceEditorPage

    public DataSourceEditorPage()

Method Detail

### collectCustomProperties

    public abstract java.util.Properties collectCustomProperties(java.util.Properties profileProps)

  Update profile's custom properties with values collected in custom page(s).

  Parameters:
    `profileProps` - the current set of custom properties, before any updates in this page
  Returns:
    the updated custom profile properties and values

### getOdaDataSourceId

    public java.lang.String getOdaDataSourceId()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.